Subject: Re: [PATCH v3 0/6] cgroup cls & netprio 'cleanups'

From: Daniel Wagner <[email-masked]>
Date: Tue, 14 Aug 2012 15:25:50 +0200

Hi Neil,

On 14.08.2012 15:10, Neil Horman wrote:
> On Tue, Aug 14, 2012 at 03:02:16PM +0200, Daniel Wagner wrote:
>> From: Daniel Wagner <[email-masked]>
>>
>> Hi,
>>
>> Sorry for the delay on updating this series. The usual
>> excuse apply here.
>>
>> I saw that John is busy improving net_prio so I took the
>> liberty to port his changes to net_cls (#1-3). Patch #3 will
>> collide with John's unapplied patches. I am happy
>> to rebase this series if needed.
>>
>> Patch #4 and #5 improve the readability with using
>> IS_MODULE/BUILTIN macros. This patches prepare the last
>> patch.
>>
>> Patch #6 removes support for assigning subsystem IDs during
>> runtime. As it turns out this is not really needed. By doing
>> so we are able to free some unused memory.
>>
>> The patches are against net-next.
>>
>> cheers,
>> daniel
>>
> These aren't so much 'cleanups' as feature enhancements and fixes for the first
> pass of those enhancements (at least in the case of the net_prio cgroup).

Sorry about that. I wanted to keep the series title, so that someone 
looking up older versions find it.

> I've nothing against them, but since we're still going through some churn on the
> net_prio variant, it may be best to wait until thats settled before moving them
> over to net_cls.

Sure, I can update this series when the net_prio controller changes have 
settled down.

I just wonder if it wouldn't make sense to merge them together. 
Obviously, that will break the user space which is not a good thing but 
having a controller per socket option is not good either.

cheers,
daniel